Loading...
Searching...
No Matches
Opm::BlackOilDarcyExtensiveQuantities< TypeTag > Class Template Reference

Specifies the extensive quantities for the black-oil model if using Darcy relation. More...

`#include <blackoildarcyfluxmodule.hh>`

Inheritance diagram for Opm::BlackOilDarcyExtensiveQuantities< TypeTag >:

## Public Member Functions

void | updateSolvent (const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx)
| Update the extensive quantities which are specific to the solvent extension of the black-oil model.
void | updatePolymer (const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx)
Public Member Functions inherited from Opm::DarcyExtensiveQuantities< TypeTag >
const DimMatrix & | intrinsicPermability () const
| Returns the intrinsic permeability tensor for a given sub-control volume face.
const EvalDimVector & | potentialGrad (unsigned phaseIdx) const
| Return the pressure potential gradient of a fluid phase at the face's integration point [Pa/m].
const EvalDimVector & | filterVelocity (unsigned phaseIdx) const
| Return the filter velocity of a fluid phase at the face's integration point [m/s].
const Evaluation & | volumeFlux (unsigned phaseIdx) const
| Return the volume flux of a fluid phase at the face's integration point .

## Protected Member Functions

Implementation & | asImp_ ()
Protected Member Functions inherited from Opm::DarcyExtensiveQuantities< TypeTag >
short | upstreamIndex_ (unsigned phaseIdx) const
short | downstreamIndex_ (unsigned phaseIdx) const
void | calculateGradients_ (const ElementContext &elemCtx, unsigned faceIdx, unsigned timeIdx)
| Calculate the gradients which are required to determine the volumetric fluxes.
template<class FluidState>
void | calculateBoundaryGradients_ (const ElementContext &elemCtx, unsigned boundaryFaceIdx, unsigned timeIdx, const FluidState &fluidState)
| Calculate the gradients at the grid boundary which are required to determine the volumetric fluxes.
void | calculateFluxes_ (const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx)
| Calculate the volumetric fluxes of all phases.
void | calculateBoundaryFluxes_ (const ElementContext &elemCtx, unsigned boundaryFaceIdx, unsigned timeIdx)
| Calculate the volumetric fluxes at a boundary face of all fluid phases.
void | calculateFilterVelocity_ (unsigned phaseIdx)

## Additional Inherited Members

Protected Attributes inherited from Opm::DarcyExtensiveQuantities< TypeTag >
DimMatrix | K_
std::array< Evaluation, numPhases > | mobility_
std::array< EvalDimVector, numPhases > | filterVelocity_
std::array< Evaluation, numPhases > | volumeFlux_
std::array< EvalDimVector, numPhases > | potentialGrad_
std::array< short, numPhases > | upstreamDofIdx_
std::array< short, numPhases > | downstreamDofIdx_
short | interiorDofIdx_
short | exteriorDofIdx_

## Detailed Description

template<class TypeTag>
class Opm::BlackOilDarcyExtensiveQuantities< TypeTag >

Specifies the extensive quantities for the black-oil model if using Darcy relation.

This class basically forwards everything to the default Darcy flux module and adds a few methods needed by the extensions of the black-oil model. (i.e. the solvent and the polymer extensions.)

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoildarcyfluxmodule.hh